[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.BroadCast

Posts the specified message to all of the child controls.

## Declaration

Source position: controls.pp line 2407

`public procedure TWinControl.BroadCast(`
`var ToAllMessage`
`);`

## Arguments

`ToAllMessage` |  | The message sent in the method.

## Description

Allows the specified method to be handled by one of the child Controls. The ToAllMessage argument is untyped; any TLMessage descendant can be passed as the value for the argument.

The method name is a misnomer. Broadcast implies delivery of the message simultaneously to all of the recipients. Actually, it is more like a telegraph. The message is posted sequentially to child controls until one of them handles the message using its WindowProc method.

Use NotifyControls to post a message with a specific message identifier constant to child Controls in the class instance.

## See also

TWinControl.NotifyControls |  | Sends a message to all child controls.